Bug 1012781 - Please use lookup table orientation of ibus-setup when ime doesn't specified it.
Please use lookup table orientation of ibus-setup when ime doesn't specified it.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 02:38 EDT by Peng Wu
Modified: 2013-11-25 23:13 EST (History)
3 users (show)

See Also:
Fixed In Version: ibus-1.5.4-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 01:42:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for ui/gtk3/panel.vala (1.86 KB, patch)
2013-10-01 01:28 EDT, fujiwara
no flags Details | Diff

  None (edit)
Description Peng Wu 2013-09-27 02:38:56 EDT
Description of problem:

Some input method (ibus-rime, sunpinyin) doesn't call ibus_lookup_table_set_orientation to specify the orientation.

These input methods assume to use the orientation settings of ibus-setup.

But when change it in ibus-setup, no effects.

Version-Release number of selected component (if applicable):
ibus-1.5.3-1.fc19.x86_64

How reproducible:
Use ibus-rime, change the orientation in ibus-setup.

Actual results:
no effect of the lookup table orientation.

Expected results:
the lookup table orientation is changed.
Comment 1 fujiwara 2013-10-01 01:28:34 EDT
Created attachment 805733 [details]
Patch for ui/gtk3/panel.vala

Attached the candidate patch.
Comment 3 Fedora Update System 2013-10-04 04:57:36 EDT
ibus-1.5.4-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ibus-1.5.4-2.fc19
Comment 4 Fedora Update System 2013-10-04 04:58:15 EDT
ibus-1.5.4-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-1.5.4-2.fc18
Comment 5 Fedora Update System 2013-10-04 04:58:48 EDT
ibus-1.5.4-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ibus-1.5.4-2.fc20
Comment 6 Fedora Update System 2013-10-04 21:40:53 EDT
Package ibus-1.5.4-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-1.5.4-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18298/ibus-1.5.4-2.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-11-10 01:42:50 EST
ibus-1.5.4-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-11-25 23:05:37 EST
ibus-1.5.4-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-11-25 23:13:51 EST
ibus-1.5.4-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.